%define major 6
%define libxmu %mklibname xmu %{major}
%define devxmu %mklibname xmu -d

%define xmuumajor 1
%define libxmuu %mklibname xmuu %{xmuumajor}

Name: libxmu
Summary: Xmu Library
Version: 1.2.0
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXmu-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xt) >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.3.0

Requires: lib64xmuu1

%description
Xmu Library

#-----------------------------------------------------------

%package -n %{libxmu}
Summary: Xmu Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxmu}
Xmu Library

%files -n %{libxmu}
%{_libdir}/libXmu.so.%{major}
%{_libdir}/libXmu.so.%{major}.*

#-----------------------------------------------------------

%package -n %{libxmuu}
Summary: Xmuu Library
Group: Development/X11
Provides: %{name}u = %{version}
Conflicts: %{_lib}xmu6 < 1.1.1-4

%description -n %{libxmuu}
Xmuu Library

%files -n %{libxmuu}
%{_libdir}/libXmuu.so.%{xmuumajor}
%{_libdir}/libXmuu.so.%{xmuumajor}.*

#-----------------------------------------------------------

%package -n %{devxmu}
Summary: Development files for %{name} and %{name}u
Group: Development/X11
Requires: %{libxmu} = %{version}-%{release}
Requires: %{libxmuu} = %{version}-%{release}
Provides: libxmu-devel = %{version}-%{release}
Provides: libxmuu-devel = %{version}-%{release}

%description -n %{devxmu}
Development files for %{name} and %{name}u.

%files -n %{devxmu}
%{_libdir}/libXmuu.so
%{_libdir}/libXmu.so
%{_libdir}/pkgconfig/xmuu.pc
%{_libdir}/pkgconfig/xmu.pc
%{_includedir}/X11/Xmu/CloseHook.h
%{_includedir}/X11/Xmu/Xct.h
%{_includedir}/X11/Xmu/Xmu.h
%{_includedir}/X11/Xmu/WidgetNode.h
%{_includedir}/X11/Xmu/Atoms.h
%{_includedir}/X11/Xmu/Misc.h
%{_includedir}/X11/Xmu/Converters.h
%{_includedir}/X11/Xmu/StdCmap.h
%{_includedir}/X11/Xmu/ExtAgent.h
%{_includedir}/X11/Xmu/StdSel.h
%{_includedir}/X11/Xmu/WinUtil.h
%{_includedir}/X11/Xmu/DisplayQue.h
%{_includedir}/X11/Xmu/Initer.h
%{_includedir}/X11/Xmu/Lookup.h
%{_includedir}/X11/Xmu/SysUtil.h
%{_includedir}/X11/Xmu/Drawing.h
%{_includedir}/X11/Xmu/Error.h
%{_includedir}/X11/Xmu/EditresP.h
%{_includedir}/X11/Xmu/CvtCache.h
%{_includedir}/X11/Xmu/Editres.h
%{_includedir}/X11/Xmu/CurUtil.h
%{_includedir}/X11/Xmu/CharSet.h
%{_includedir}/X11/Xmu/WhitePoint.h
%{_datadir}/doc/libXmu

#-----------------------------------------------------------

%prep
%setup -q -n libXmu-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Mon Mar 25 2024 tex - 1.2.0-1pclos2024
- new version

* Wed Aug 02 2023 tex - 1.1.4-2pclos2023
- rebuild against updates

* Wed Oct 19 2022 tex - 1.1.4-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.1.3-6pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.1.3-5pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.1.3-4pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.1.3-3pclos2019
- rebuild against updates

* Mon Mar 18 2019 tex - 1.1.3-2pclos2019
- rebuild against updates

* Sun Mar 17 2019 tex - 1.1.3-1pclos2019
- rebuild against updates
